/* Beispiele aus dem Buch "LDAP fuer Java-Entwickler", 
 * Stefan Zoerner, 4. aktualisierte Auflage 2013
 *  
 * Webseite zum Buch: http://www.ldapjava.de/ 
 * Software & Support Media GmbH / entwickler.press, http://www.entwickler-press.de/
 */
package ldapbuch.kapitel4.auth;

import java.util.Properties;

import javax.naming.Context;
import javax.naming.NamingEnumeration;
import javax.naming.directory.DirContext;
import javax.naming.directory.InitialDirContext;

/**
 * Verwendung von DIGEST-MD5 -- (Listing 4_2).
 * 
 * @author Stefan Z&ouml;rner 
 */
public class DigestMd5 {

  public static void main(String[] args) throws Exception {

    Properties env = new Properties();
    env
        .put(Context.INITIAL_CONTEXT_FACTORY,
            "com.sun.jndi.ldap.LdapCtxFactory");
    env.put(Context.PROVIDER_URL, "ldap://magritte:389/dc=bundestag,dc=de");
    env.put(Context.SECURITY_AUTHENTICATION, "DIGEST-MD5");
    env.put(Context.SECURITY_PRINCIPAL, "u: nlammert");

    env.put(Context.SECURITY_CREDENTIALS, "geheim");

    DirContext ctx = new InitialDirContext(env);

    NamingEnumeration<?> enm = ctx.list("");
    while (enm.hasMore()) {
      System.out.println(enm.next());
    }

    ctx.close();
  }
}
