/* Beispiele aus dem Buch "LDAP fuer Java-Entwickler", 
 * Stefan Zoerner, 4. aktualisierte Auflage 2013
 *  
 * Webseite zum Buch: http://www.ldapjava.de/ 
 * Software & Support Media GmbH / entwickler.press, http://www.entwickler-press.de/
 */
package ldapbuch.kapitel4.auth;

import java.util.Properties;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingEnumeration;
import javax.naming.NamingException;

/**
 * Anmelden per Kommandozeile -- (Listing 4_1).
 * 
 * @author Stefan Z&ouml;rner
 */
public class KommandozeileAnmelden {

  public static void main(String[] args) throws NamingException {

    if (args.length < 2) {
      System.err
          .println("Usage: java KommandozeileAnmelden <userDN> <password>");
      System.exit(1);
    }

    Properties env = new Properties();
    env.put(Context.SECURITY_AUTHENTICATION, "simple");
    env.put(Context.SECURITY_PRINCIPAL, args[0]);
    env.put(Context.SECURITY_CREDENTIALS, args[1]);

    Context ctx = new InitialContext(env);
    NamingEnumeration<?> enm = ctx.list("");
    while (enm.hasMore()) {
      System.out.println(enm.next());
    }

    ctx.close();
  }
}
