/* Beispiele aus dem Buch "LDAP fuer Java-Entwickler", 
 * Stefan Zoerner, 4. aktualisierte Auflage 2013
 *  
 * Webseite zum Buch: http://www.ldapjava.de/ 
 * Software & Support Media GmbH / entwickler.press, http://www.entwickler-press.de/
 */
package ldapbuch.kapitel4.controls;

import javax.naming.NamingException;
import javax.naming.ldap.Control;
import javax.naming.ldap.InitialLdapContext;
import javax.naming.ldap.LdapContext;

/**
 * Beispielverwendung f&uuml;r das Tree Delete Control. Verbindungsdaten werden
 * von aussen erwartet (jndi.properties), insbesondere die Authentifizierung
 * wegen des schreibenden Zugriffs.
 * 
 * @author Stefan Z&ouml;rner
 */
public class TreeDeleteControlVerwenden {

  public static void main(String[] args) throws NamingException {

    LdapContext ctx = new InitialLdapContext();

    LdapContext entry = (LdapContext) ctx.lookup("ou=teilbaum");
    entry.setRequestControls(new Control[] { new TreeDeleteControl() });
    entry.unbind("");
  }
}