/* Beispiele aus dem Buch "LDAP fuer Java-Entwickler", 
 * Stefan Zoerner, 4. aktualisierte Auflage 2013
 *  
 * Webseite zum Buch: http://www.ldapjava.de/ 
 * Software & Support Media GmbH / entwickler.press, http://www.entwickler-press.de/
 */
package ldapbuch.kapitel4.controls;

import javax.naming.NamingException;
import javax.naming.directory.Attributes;
import javax.naming.directory.InitialDirContext;

/**
 * Beispiel zur Anzeige aller Controls, die ein LDAP-Server unterst&uuml;tzt.
 * Siehe Kapitel 4.5. Verbindungsdaten werden von aussen erwartet
 * (jndi.properties), die Base DN muss wg. des Zugriffs auf den Root DSE den
 * Wert "" haben.
 * 
 * @author Stefan Z&ouml;rner
 */
public class UnterstuetzteControlsAnzeigen {

  /**
   * Einstiegspunkt.
   * 
   * @param args
   *          Kommandozeilenargumente (keine)
   */
  public static void main(String[] args) throws NamingException {

    InitialDirContext ctx = new InitialDirContext();
    Attributes attrs = ctx.getAttributes("",
        new String[] { "supportedcontrol" });

    System.out.println(attrs);
  }
}
