/* Beispiele aus dem Buch "LDAP fuer Java-Entwickler", 
 * Stefan Zoerner, 4. aktualisierte Auflage 2013
 *  
 * Webseite zum Buch: http://www.ldapjava.de/ 
 * Software & Support Media GmbH / entwickler.press, http://www.entwickler-press.de/
 */
package ldapbuch.kapitel4.ops.add;

import javax.naming.NamingException;
import javax.naming.directory.Attribute;
import javax.naming.directory.Attributes;
import javax.naming.directory.BasicAttribute;
import javax.naming.directory.BasicAttributes;
import javax.naming.directory.DirContext;
import javax.naming.directory.InitialDirContext;

/**
 * Hinzuf&uuml;gen eines Eintrages -- (Listing 4_10).
 * 
 * Verbindungsdaten (Host, Base DN, Authentifizierung) werden von aussen
 * erwartet (jndi.properties).
 * 
 * @author Stefan Z&ouml;rner
 */
public class EintragHinzufuegen {

  /**
   * Einstiegspunkt.
   * 
   * @param args
   *          Kommandozeilenparameter, es werden keine ben&ouml;tigt
   */
  public static void main(String[] args) throws NamingException {

    DirContext ctx = new InitialDirContext();

    // Attribute des Eintrags
    Attributes attrs = new BasicAttributes();
    Attribute ocls = new BasicAttribute("objectClass");
    ocls.add("top");
    ocls.add("person");
    attrs.put(ocls);
    attrs.put("sn", "Panther");
    attrs.put("cn", "Paulchen Panther");

    // Eintrag anlegen
    ctx.createSubcontext("cn=Paulchen Panther,ou=personen", attrs);
  }
}
