/* Beispiele aus dem Buch "LDAP fuer Java-Entwickler", 
 * Stefan Zoerner, 4. aktualisierte Auflage 2013
 *  
 * Webseite zum Buch: http://www.ldapjava.de/ 
 * Software & Support Media GmbH / entwickler.press, http://www.entwickler-press.de/
 */
package ldapbuch.kapitel4.ops.compare;

import javax.naming.NamingEnumeration;
import javax.naming.NamingException;
import javax.naming.directory.DirContext;
import javax.naming.directory.InitialDirContext;
import javax.naming.directory.SearchControls;
import javax.naming.directory.SearchResult;

/**
 * Attributwert eines Eintrags vergleichen -- (Listing 4_14).
 * 
 * Verbindungsdaten (Host, Base DN) werden von aussen erwartet
 * (jndi.properties).
 * 
 * @author Stefan Z&ouml;rner
 */
public class AttributVergleichen {

  /**
   * Einstiegspunkt.
   * 
   * @param args
   *          Kommandozeilenparameter, es werden keine ben&ouml;tigt
   */
  public static void main(String[] args) throws NamingException {

    DirContext ctx = new InitialDirContext();

    SearchControls ctls = new SearchControls();
    ctls.setReturningAttributes(new String[0]);
    ctls.setSearchScope(SearchControls.OBJECT_SCOPE);

    NamingEnumeration<SearchResult> enumeration = ctx.search(
        "cn=Paulchen Panther,ou=personen", "sn={0}",
        new String[] { "PANTHER" }, ctls);

    boolean compareErgebnis = enumeration.hasMore();
    System.out.println(compareErgebnis);
  }
}
