/* Beispiele aus dem Buch "LDAP fuer Java-Entwickler", 
 * Stefan Zoerner, 4. aktualisierte Auflage 2013
 *  
 * Webseite zum Buch: http://www.ldapjava.de/ 
 * Software & Support Media GmbH / entwickler.press, http://www.entwickler-press.de/
 */
package ldapbuch.kapitel4.ops.map;


/**
 * Eine einfache fachliche Klasse -- (Listing 4_15).
 * 
 * Objekte dieser Klasse beschreiben Abgeordnete und dienen
 * als Requisiten f&uuml;r die Object und State Factory.
 * 
 * @author Stefan Z&ouml;rner 
 */
public class Politiker {

    private String vollstName;
    private String nachName;
    private String benutzerKennung;

    /**
     * Liefert eine textuelle Repr&auml;sentation des Zustandes.
     * 
     * @return Zeichenkette, die den Abgeordneten beschreibt.
     */
    public String toString() {
        return String.format("%s (%s)", vollstName, benutzerKennung);
    }

    /**
     * @return die Benutzerkennung
     */
    public String getBenutzerKennung() {
        return benutzerKennung;
    }

    /**
     * @return den Nachnamen
     */
    public String getNachName() {
        return nachName;
    }

    /**
     * @return den vollst&auml;ndigen Namen
     */
    public String getVollstName() {
        return vollstName;
    }

    /**
     * @param string die neue Benutzerkennung
     */
    public void setBenutzerKennung(String string) {
        benutzerKennung = string;
    }

    /**
     * @param string der neue Nachname
     */
    public void setNachName(String string) {
        nachName = string;
    }

    /**
     * @param string der neue vollst&auml;ndige Nachname
     */
    public void setVollstName(String string) {
        vollstName = string;
    }
}
