/* Beispiele aus dem Buch "LDAP fuer Java-Entwickler", 
 * Stefan Zoerner, 4. aktualisierte Auflage 2013
 *  
 * Webseite zum Buch: http://www.ldapjava.de/ 
 * Software & Support Media GmbH / entwickler.press, http://www.entwickler-press.de/
 */
package ldapbuch.kapitel4.ops.map;

import java.util.Hashtable;

import javax.naming.Context;
import javax.naming.Name;
import javax.naming.directory.Attribute;
import javax.naming.directory.Attributes;
import javax.naming.spi.DirObjectFactory;

/**
 * Eine Object Factory f&uuml;r Abgeordnete -- (Listing 4_16).
 * 
 * Zur Verwendung muss diese Klasse in der Konfiguration bekannt gemacht werden
 * (jndi.properties).
 * 
 * @author Stefan Z&ouml;rner
 */
public class PolitikerObjectFactory implements DirObjectFactory {

  public Object getObjectInstance(Object obj, Name name,
      Context ctx, Hashtable<?,?> env, Attributes attrs)
      throws Exception {

    Attribute oc = (attrs != null ? attrs.get("objectclass")
        : null);
    if (oc != null && oc.contains("inetOrgPerson")) {
      Attribute attr;

      String nachname = (String) attrs.get("sn").get();
      String vollstName = (String) attrs.get("cn").get();
      String benutzerName = ((attr = attrs.get("uid")) != null) ? (String) attr
          .get()
          : null;

      Politiker p = new Politiker();
      p.setBenutzerKennung(benutzerName);
      p.setNachName(nachname);
      p.setVollstName(vollstName);

      return p;
    }
    return null;
  }

  public Object getObjectInstance(Object obj, Name name,
      Context ctx, Hashtable<?,?> env) {
    return null;
  }
}
