/* Beispiele aus dem Buch "LDAP fuer Java-Entwickler", 
 * Stefan Zoerner, 4. aktualisierte Auflage 2013
 *  
 * Webseite zum Buch: http://www.ldapjava.de/ 
 * Software & Support Media GmbH / entwickler.press, http://www.entwickler-press.de/
 */
package ldapbuch.kapitel4.ops.map;

import java.util.Hashtable;

import javax.naming.Context;
import javax.naming.Name;
import javax.naming.NamingException;
import javax.naming.directory.Attribute;
import javax.naming.directory.Attributes;
import javax.naming.directory.BasicAttribute;
import javax.naming.directory.BasicAttributes;
import javax.naming.spi.DirStateFactory;

/**
 * Eine State Factory f&uuml;r Abgeordnete -- (Listing 4_19).
 * 
 * @author Stefan Z&ouml;rner 
 */
public class PolitikerStateFactory implements DirStateFactory {

  public Result getStateToBind(Object obj, Name name, Context nameCtx,
      Hashtable<?,?> environment, Attributes inAttrs) throws NamingException {

    if (obj instanceof Politiker) {

      Politiker p = (Politiker) obj;
      Attributes outAttrs;
      outAttrs = new BasicAttributes(true);

      Attribute ocls = new BasicAttribute("objectClass");
      ocls.add("top");
      ocls.add("person");
      ocls.add("organizationalPerson");
      ocls.add("inetOrgPerson");
      outAttrs.put(ocls);
      outAttrs.put("sn", p.getNachName());
      outAttrs.put("cn", p.getVollstName());
      outAttrs.put("uid", p.getBenutzerKennung());

      return new DirStateFactory.Result(null, outAttrs);
    }
    return null;
  }

  public Object getStateToBind(Object obj, Name name, Context nameCtx,
      Hashtable<?,?> environment) {
    return null;
  }

}
