/* Beispiele aus dem Buch "LDAP fuer Java-Entwickler", 
 * Stefan Zoerner, 4. aktualisierte Auflage 2013
 *  
 * Webseite zum Buch: http://www.ldapjava.de/ 
 * Software & Support Media GmbH / entwickler.press, http://www.entwickler-press.de/
 */
package ldapbuch.kapitel4.ops.map;

import javax.naming.NamingEnumeration;
import javax.naming.NamingException;
import javax.naming.directory.InitialDirContext;
import javax.naming.directory.SearchControls;
import javax.naming.directory.SearchResult;

/**
 * Eine Suchabfrage -- (Listing 4_18).
 * 
 * Verbindungsdaten (Host, Base DN) werden von aussen erwartet
 * (jndi.properties). Weiterhin muss die Object Factory vereinbart werden.
 * 
 * @author Stefan Z&ouml;rner
 */
public class SuchePolitikerObjectFactory {

  /**
   * Einstiegspunkt.
   * 
   * @param args
   *          Kommandozeilenparameter, es werden keine ben&ouml;tigt
   */
  public static void main(String[] args) throws NamingException {
    InitialDirContext ctx = new InitialDirContext();

    String base = "";
    String filter = "(&(objectclass=person)(sn~=Schmidt)(!(mail=*)))";

    SearchControls ctls = new SearchControls();
    ctls.setSearchScope(SearchControls.SUBTREE_SCOPE);
    ctls.setReturningObjFlag(true);

    NamingEnumeration<SearchResult> enm = ctx.search(base, filter, ctls);
    while (enm.hasMore()) {
      SearchResult sr = enm.next();
      System.out.println(sr.getObject());
    }
  }
}