/* Beispiele aus dem Buch "LDAP fuer Java-Entwickler", 
 * Stefan Zoerner, 4. aktualisierte Auflage 2013
 *  
 * Webseite zum Buch: http://www.ldapjava.de/ 
 * Software & Support Media GmbH / entwickler.press, http://www.entwickler-press.de/
 */
package ldapbuch.kapitel4.ops.map;

import javax.naming.NamingException;
import javax.naming.directory.InitialDirContext;

/**
 * Auslesen eines Eintrages -- (Listing 4_17).
 * 
 * Verbindungsdaten (Host, Base DN) werden von aussen erwartet
 * (jndi.properties). Weiterhin muss die Object Factory vereinbart werden.
 * 
 * @author Stefan Z&ouml;rner
 */
public class TestPolitikerObjectFactory {

  /**
   * Einstiegspunkt.
   * 
   * @param args
   *          Kommandozeilenparameter, es werden keine ben&ouml;tigt
   */
  public static void main(String[] args) throws NamingException {
    InitialDirContext ctx = new InitialDirContext();

    Object obj = ctx.lookup("uid=amerkel,ou=personen");
    System.out.println(obj.getClass().getName());
    System.out.println(obj.toString());
  }
}
