/* Beispiele aus dem Buch "LDAP fuer Java-Entwickler", 
 * Stefan Zoerner, 4. aktualisierte Auflage 2013
 *  
 * Webseite zum Buch: http://www.ldapjava.de/ 
 * Software & Support Media GmbH / entwickler.press, http://www.entwickler-press.de/
 */
package ldapbuch.kapitel4.ops.map;

import javax.naming.NamingException;
import javax.naming.directory.InitialDirContext;

/**
 * Verwendung der State Factory -- (Listing 4_20).
 * 
 * Verbindungsdaten (Host, Base DN und Authentifizierung) werden von aussen
 * erwartet (jndi.properties). Weiterhin muss die State Factory vereinbart
 * werden.
 * 
 * @author Stefan Z&ouml;rner
 */
public class TestPolitikerStateFactory {

  /**
   * Einstiegspunkt.
   * 
   * @param args
   *          Kommandozeilenparameter, es werden keine ben&ouml;tigt
   */
  public static void main(String[] args) throws NamingException {
    InitialDirContext ctx = new InitialDirContext();

    Politiker paulchen = new Politiker();
    paulchen.setVollstName("Paulchen Panther");
    paulchen.setNachName("Panther");
    paulchen.setBenutzerKennung("ppanther");

    ctx.bind("uid=ppanther,ou=personen", paulchen);
  }
}
