/* Beispiele aus dem Buch "LDAP fuer Java-Entwickler", 
 * Stefan Zoerner, 4. aktualisierte Auflage 2013
 *  
 * Webseite zum Buch: http://www.ldapjava.de/ 
 * Software & Support Media GmbH / entwickler.press, http://www.entwickler-press.de/
 */
package ldapbuch.kapitel4.ops.map.grp;

import java.security.Principal;
import java.security.acl.Group;
import java.util.Enumeration;

import javax.naming.NamingException;
import javax.naming.directory.InitialDirContext;

/**
 * Auflisten aller Mitglieder einer Gruppe -- (Listing 4_22).
 * 
 * Verbindungsdaten (Host, Base DN) werden von aussen erwartet
 * (jndi.properties). Weiterhin muss die Object Factory des LDAP Booster Packs
 * vereinbart werden, und das entsprechende jar-File sich im Classpath befinden
 * (ldapbp.jar).
 * 
 * @author Stefan Z&ouml;rner
 */
public class ListeMitgliederAuf {

  /**
   * Einstiegspunkt.
   * 
   * @param args
   *          Kommandozeilenparameter, es werden keine ben&ouml;tigt
   */
  public static void main(String[] args) throws NamingException {

    // Alle Benutzer einer Gruppe auflisten
    //
    InitialDirContext ctx = new InitialDirContext();
    Group kabinett = (Group) ctx
        .lookup("cn=Kabinett,ou=gruppen,dc=bundestag,dc=de");
    Enumeration<? extends Principal> enm = kabinett.members();
    while (enm.hasMoreElements()) {
      Principal p = enm.nextElement();
      System.out.println(p.getName());
    }
  }
}
