/* Beispiele aus dem Buch "LDAP fuer Java-Entwickler", 
 * Stefan Zoerner, 4. aktualisierte Auflage 2013
 *  
 * Webseite zum Buch: http://www.ldapjava.de/ 
 * Software & Support Media GmbH / entwickler.press, http://www.entwickler-press.de/
 */
package ldapbuch.kapitel4.ops.map.grp;

import java.security.acl.Group;

import javax.naming.NamingException;
import javax.naming.directory.InitialDirContext;
import javax.security.auth.x500.X500Principal;

/**
 * Auf Mitgliedschaft testen -- (Listing 4_23).
 * 
 * Verbindungsdaten (Host, Base DN) werden von aussen erwartet
 * (jndi.properties). Weiterhin muss die Object Factory des LDAP Booster Packs
 * vereinbart werden, und das entsprechende jar-File sich im Classpath befinden
 * (ldapbp.jar).
 * 
 * @author Stefan Z&ouml;rner
 */
public class TesteMitgliedschaft {

  /**
   * Einstiegspunkt.
   * 
   * @param args
   *          Kommandozeilenparameter, es werden keine ben&ouml;tigt
   */
  public static void main(String[] args) throws NamingException {

    // Test, ob Benutzer in Gruppe
    //
    InitialDirContext ctx = new InitialDirContext();
    Group grp = (Group) ctx
        .lookup("cn=Opposition,ou=gruppen,dc=bundestag,dc=de");
    System.out.println(grp.isMember(new X500Principal(
        "uid=fsteinme,ou=personen,dc=bundestag,dc=de")));
  }
}
