/* Beispiele aus dem Buch "LDAP fuer Java-Entwickler", 
 * Stefan Zoerner, 4. aktualisierte Auflage 2013
 *  
 * Webseite zum Buch: http://www.ldapjava.de/ 
 * Software & Support Media GmbH / entwickler.press, http://www.entwickler-press.de/
 */
package ldapbuch.kapitel4.ops.modify;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

/**
 * Umbenennen eines Eintrages -- (Listing 4_13).
 * 
 * Verbindungsdaten (Host, Base DN, Authentifizierung) werden von aussen
 * erwartet (jndi.properties).
 * 
 * @author Stefan Z&ouml;rner
 */
public class EintragUmbenennen {

  /**
   * Einstiegspunkt.
   * 
   * @param args
   *          Kommandozeilenparameter, es werden keine ben&ouml;tigt
   */
  public static void main(String[] args) throws NamingException {

    Context ctx = new InitialContext();
    ctx.addToEnvironment("java.naming.ldap.deleteRDN", "false");

    Context personen = (Context) ctx.lookup("ou=personen");
    personen.rename("sn=Panther", "cn=Paulchen Panther");
  }
}
