/* Beispiele aus dem Buch "LDAP fuer Java-Entwickler", 
 * Stefan Zoerner, 4. aktualisierte Auflage 2013
 *  
 * Webseite zum Buch: http://www.ldapjava.de/ 
 * Software & Support Media GmbH / entwickler.press, http://www.entwickler-press.de/
 */
package ldapbuch.kapitel4.ops.read;

import javax.naming.NamingEnumeration;
import javax.naming.NamingException;
import javax.naming.directory.Attribute;
import javax.naming.directory.Attributes;
import javax.naming.directory.DirContext;
import javax.naming.directory.InitialDirContext;

/**
 * Attribute eines Eintrags auslesen -- (Listing 4_5).
 * 
 * Verbindungsdaten (Host, Base DN) werden von aussen erwartet
 * (jndi.properties).
 * 
 * @author Stefan Z&ouml;rner
 */
public class AttributeLesen {

  public static void main(String[] args) throws NamingException {
    DirContext ctx = new InitialDirContext();
    Attributes attrs = ctx.getAttributes("uid=wschaeub,ou=personen");
    NamingEnumeration<String> enm = attrs.getIDs();
    while (enm.hasMore()) {
      String name = enm.next();
      Attribute attr = attrs.get(name);
      for (int i = 0; i < attr.size(); ++i) {
        System.out.println(name + "=" + attr.get(i));
      }
    }
  }
}
