/* Beispiele aus dem Buch "LDAP fuer Java-Entwickler", 
 * Stefan Zoerner, 4. aktualisierte Auflage 2013
 *  
 * Webseite zum Buch: http://www.ldapjava.de/ 
 * Software & Support Media GmbH / entwickler.press, http://www.entwickler-press.de/
 */
package ldapbuch.kapitel4.ops.read;

import java.awt.BorderLayout;

import javax.naming.NamingException;
import javax.naming.directory.Attributes;
import javax.naming.directory.DirContext;
import javax.naming.directory.InitialDirContext;
import javax.swing.ImageIcon;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.WindowConstants;

/**
 * Binres Attribut auslesen und darstellen -- (Listing 4_6).
 * 
 * Verbindungsdaten (Host, Base DN) werden von aussen erwartet
 * (jndi.properties).
 * 
 * @author Stefan Z&ouml;rner
 */
public class BinAttributeLesen {

  public static void main(String[] args) throws NamingException {
    DirContext ctx = new InitialDirContext();
    Attributes attrs = ctx.getAttributes(
        "uid=fsteinme,ou=personen", new String[] { "cn",
            "jpegPhoto" });

    if (attrs.get("jpegPhoto") != null) {

      String cn = (String) attrs.get("cn").get(0);
      byte photo[] = (byte[]) attrs.get("jpegPhoto").get(0);

      JFrame frame = new JFrame(cn);
      JLabel label = new JLabel(new ImageIcon(photo));
      frame.add(label, BorderLayout.CENTER);
      frame.pack();


      frame
          .setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
      frame.setLocationByPlatform(true);
      frame.setVisible(true);

    }

    ctx.close();
  }
}
