/* Beispiele aus dem Buch "LDAP fuer Java-Entwickler", 
 * Stefan Zoerner, 4. aktualisierte Auflage 2013
 *  
 * Webseite zum Buch: http://www.ldapjava.de/ 
 * Software & Support Media GmbH / entwickler.press, http://www.entwickler-press.de/
 */
package ldapbuch.kapitel4.ops.search;

import javax.naming.NamingEnumeration;
import javax.naming.directory.Attribute;
import javax.naming.directory.Attributes;
import javax.naming.directory.BasicAttribute;
import javax.naming.directory.BasicAttributes;
import javax.naming.directory.DirContext;
import javax.naming.directory.InitialDirContext;
import javax.naming.directory.SearchResult;

/**
 * Suchabfrage mit Attributen -- (Listing 4_8).
 * 
 * Verbindungsdaten (Host, Base DN) werden von aussen erwartet
 * (jndi.properties).
 * 
 * @author Stefan Z&ouml;rner
 */
public class SucheMitAttributen {

  /**
   * Einstiegspunkt.
   * 
   * @param args
   *          Kommandozeilenparameter, es werden keine ben&ouml;tigt
   */
  public static void main(String[] args) throws Exception {

    DirContext ctx = new InitialDirContext();

    String base = "ou=personen,dc=bundestag,dc=de";

    Attributes match = new BasicAttributes();
    match.put(new BasicAttribute("givenName", "Guido"));
    match.put(new BasicAttribute("sn", "Westerwelle"));

    NamingEnumeration<SearchResult> enm = ctx.search(base, match);
    while (enm.hasMore()) {
      SearchResult result = enm.next();
      Attributes attrs = result.getAttributes();
      NamingEnumeration<? extends Attribute> aEnm = attrs
          .getAll();
      while (aEnm.hasMore()) {
        Attribute attr = aEnm.next();
        System.out.println(attr);
      } // while
    } // while
  }
}
