/* Beispiele aus dem Buch "LDAP fuer Java-Entwickler", 
 * Stefan Zoerner, 4. aktualisierte Auflage 2013
 *  
 * Webseite zum Buch: http://www.ldapjava.de/ 
 * Software & Support Media GmbH / entwickler.press, http://www.entwickler-press.de/
 */
package ldapbuch.kapitel4.ops.ser;

import java.util.Date;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

/**
 * Serialisieren eines Date-Objektes in ein Verzeichnis. (Beispiel aus Kapitel
 * 4.2.1). Verbindungsdaten (Host, Base DN, Authentifizierung) werden von aussen
 * erwartet (jndi.properties).
 * 
 * @author Stefan Z&ouml;rner
 */
public class Serialisieren {

	/**
	 * Einstiegspunkt.
	 * 
	 * @param args
	 *            Kommandozeilenparameter, DN und Kennwort des Benutzers
	 */
	public static void main(String[] args) throws NamingException {
		Context ctx = new InitialContext();

		// Authentifizierung
		ctx.addToEnvironment(Context.SECURITY_AUTHENTICATION, "simple");
		ctx.addToEnvironment(Context.SECURITY_PRINCIPAL, args[0]);
		ctx.addToEnvironment(Context.SECURITY_CREDENTIALS, args[1]);

		ctx.bind("cn=jetzt", new Date());

	}
}
