/* Beispiele aus dem Buch "LDAP fuer Java-Entwickler", 
 * Stefan Zoerner, 4. aktualisierte Auflage 2013
 *  
 * Webseite zum Buch: http://www.ldapjava.de/ 
 * Software & Support Media GmbH / entwickler.press, http://www.entwickler-press.de/
 */
package ldapbuch.kapitel4.schema;

import javax.naming.NameClassPair;
import javax.naming.NamingEnumeration;
import javax.naming.NamingException;
import javax.naming.directory.DirContext;
import javax.naming.directory.InitialDirContext;

/**
 * Auflisten aller bekannten Attribute -- (Listing 4_25).
 * 
 * Listet die Namen aller definierten Attribute im Schema auf. Verbindungsdaten
 * (Host, Base DN) werden von aussen erwartet (jndi.properties).
 * 
 * @author Stefan Z&ouml;rner
 */
public class AlleAttributeAuflisten {

  /**
   * Einstiegspunkt.
   * 
   * @param args
   *          Kommandozeilenargumente (keine)
   */
  public static void main(String[] args) throws NamingException {

    InitialDirContext ctx = new InitialDirContext();
    DirContext schema = ctx.getSchema("");

    NamingEnumeration<NameClassPair> enm = schema
        .list("AttributeDefinition");
    while (enm.hasMore()) {
      System.out.println(enm.next());
    }
  }
}
