/* Beispiele aus dem Buch "LDAP fuer Java-Entwickler", 
 * Stefan Zoerner, 4. aktualisierte Auflage 2013
 *  
 * Webseite zum Buch: http://www.ldapjava.de/ 
 * Software & Support Media GmbH / entwickler.press, http://www.entwickler-press.de/
 */
package ldapbuch.kapitel4.schema;

import javax.naming.NamingEnumeration;
import javax.naming.NamingException;
import javax.naming.directory.Attribute;
import javax.naming.directory.Attributes;
import javax.naming.directory.DirContext;
import javax.naming.directory.InitialDirContext;

/**
 * Details zum Attribut ou anzeigen -- (Listing 4_26).
 * 
 * Gibt die Bestandteile der Attributdefinition fuer das Attribut ou
 * (organizationalUnitName) aus. Verbindungsdaten (Host, Base DN) werden von
 * aussen erwartet (jndi.properties).
 * 
 * @author Stefan Z&ouml;rner
 */
public class AttributDetailsAnzeigen {

  /**
   * Einstiegspunkt.
   * 
   * @param args
   *          Kommandozeilenargumente (keine)
   */
  public static void main(String[] args) throws NamingException {

    InitialDirContext ctx = new InitialDirContext();
    DirContext schema = ctx.getSchema("");

    Attributes attrs = schema
        .getAttributes("AttributeDefinition/ou");
    NamingEnumeration<? extends Attribute> enm = attrs.getAll();
    while (enm.hasMore()) {
      Attribute attr = enm.next();
      System.out.println(attr);
    }

  }
}
