/* Beispiele aus dem Buch "LDAP fuer Java-Entwickler", 
 * Stefan Zoerner, 4. aktualisierte Auflage 2013
 *  
 * Webseite zum Buch: http://www.ldapjava.de/ 
 * Software & Support Media GmbH / entwickler.press, http://www.entwickler-press.de/
 */
package ldapbuch.kapitel4.schema;

import javax.naming.NamingException;
import javax.naming.directory.Attribute;
import javax.naming.directory.DirContext;
import javax.naming.directory.InitialDirContext;

/**
 * Attribut eines Eintrags anzeigen -- (Listing 4_28).
 * 
 * Liest aus einem Attribut, das ueber einen Eintrag gewonnen wurde, die
 * Attributdefinition des Schemas aus, und zeigt sie an. Verbindungsdaten (Host,
 * Base DN) werden von aussen erwartet (jndi.properties).
 * 
 * @author Stefan Z&ouml;rner
 */
public class AttributEinesEintragsAnzeigen {

  /**
   * Einstiegspunkt.
   * 
   * @param args
   *          Kommandozeilenargumente (keine)
   */
  public static void main(String[] args) throws NamingException {

    InitialDirContext ctx = new InitialDirContext();
    DirContext eintrag = (DirContext) ctx
        .lookup("uid=fmuentef,ou=personen");

    Attribute attr = eintrag.getAttributes("").get("cn");
    System.out.println(attr.getAttributeDefinition()
        .getAttributes(""));
  }
}
